flexc++ (2.17.01-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:31:28 +0100

flexc++ (2.17.01-1) unstable; urgency=medium

  * New upstream release prevents errors when using string::back() with
    empty strings (introduced by g++ >= 15.0.0).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 06 Mar 2025 13:12:19 +0100

flexc++ (2.17.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release (Closes: #1099490)
  * Flexc++ depends on bobcat >= 6.07.00 and icmake >= 13.00.03
  * Updated debian/copyright, debian/control, and debian/rules

 -- tony mancill <tmancill@debian.org>  Tue, 04 Mar 2025 08:10:56 -0800

flexc++ (2.16.00-1) unstable; urgency=medium

  * New upstream release fixes a bug in the scanner switchIstream protected
    member function.
  * Icmake >= 12.01.00 is used when building flexc++.
  * The control file now specifies Standards-Version 4.7.0.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 22 Jun 2024 16:24:58 +0200

flexc++ (2.15.00-1) unstable; urgency=medium

  * New upstream release fixes a bug that appeared when regexes like a{2} were
    used as the first specified regex in the lexer file.
  * Icmake >= 11.01.02 is used when building flexc++.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 23 Mar 2024 13:55:32 +0100

flexc++ (2.14.00-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 15:31:44 -0700

flexc++ (2.14.00-1) experimental; urgency=medium

  * New upstream release replaces 'typedef' definitions by 'using'
    declarations, also in generated scanners.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 23 Mar 2023 10:31:14 +0100

flexc++ (2.13.00-1) experimental; urgency=medium

  * New upstream release uses inline definitions of the default class Input
    members which previously were defined in-class.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 16 Mar 2023 11:29:19 +0100

flexc++ (2.12.00-1) experimental; urgency=medium

  * New upstream release defines new option --baseclass-preinclude and new
    options %baseclass-preinclude and %input-inline.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 10 Mar 2023 15:23:00 +0100

flexc++ (2.11.02-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 2.11.02
  * debian/rules determines the C++ version to use from upstream's 'c++std'
    file

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 11 Sep 2022 21:04:23 +0200

flexc++ (2.11.01-1) unstable; urgency=medium

  * Upstream repaired some flaws in the generated flex.cc source that might
    result in compilation errors, prevented segfaults from occurring when
    specifying some overly complex regexes. See the upstream changelog for
    details.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 23 Aug 2022 21:14:55 +0200

flexc++ (2.11.00-2) unstable; urgency=medium

  * Add autopkgtest that uses to flexc++ to create a basic scanner.

 -- tony mancill <tmancill@debian.org>  Sun, 27 Feb 2022 12:19:34 -0800

flexc++ (2.11.00-1) unstable; urgency=medium

  * Constructors of generated scanners have received a third parameter,
    'keepCwd = true'. See 'man flexc++api' for details.
  * The build script supports an option 'strip' to strip the binary
    constructed by 'build {program, oxref, scanner}'. The previously defined
    '[strip]' options were dropped.
  * Compilation uses the '--std=c++20' option.
  * The build script is ready for icmake >= 10.00.00
  * Because of the Big Endian / Little Endian issue with icmake, 'control'
    requires icmake >= 10.03.00

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 22 Feb 2022 13:30:22 +0100

flexc++ (2.10.00-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Thu, 09 Sep 2021 20:19:03 -0700

flexc++ (2.10.00-1) experimental; urgency=low

  * Version 2.10 declares user-defined nested ScannerBase::Input classes in
    ScannerBase's protected sections so they can be used from inside the
    derived Scanner classes.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 22 Apr 2021 15:08:01 +0200

flexc++ (2.09.01-1) experimental; urgency=low

  * Upstream added sections about character constants to the manual and to the
    flexc++input(7) man-page

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 19 Mar 2021 09:34:44 +0100

flexc++ (2.09.00-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * The initial working directory is kept after constructing Scanner objects
    and when their member 'lex()' returns.

  * Added member 'cwd()' returning the directory that was active when
    constructing a Scanner object.

  [ tony mancill ]
  * Upload to experimental during Bullseye freeze.
  * Freshen debian/copyright

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 21 Feb 2021 12:23:23 +0100

flexc++ (2.08.01-1) unstable; urgency=low

  * Fixed a bug in handling the //include directive

  * Pushing/popping streams changes the scanner's current working directory to
    the streams' directories.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Nov 2020 16:05:09 +0100

flexc++ (2.07.11-1) unstable; urgency=low

  * Manual chapters in version 2.07.10 beyond the introductory chapter were
    missing. Fixed in this release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 30 Aug 2020 15:16:06 +0200

flexc++ (2.07.10-1) unstable; urgency=low

  * New upstream release fixed a flaw in the man(ual)'s section about using
    bisonc++ in combination with flexc++.

  * updated debian/control's debhelper-compat to 13, libbobcat-dev to 5.05.00.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 30 Aug 2020 14:03:20 +0200

flexc++ (2.07.09-1) unstable; urgency=low

  * New upstream release fixes a 0-ptr bug that has been lying hidden in the
    class State causing a segfault with some lexer-specifications. In addition
    several cosmetic changes were made: the parser's tokens were escalated,
    removing circular dependencies between flexc++'s parser and scanner, and
    known typos in the manual were fixed.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 19 Apr 2020 11:19:54 +0200

flexc++ (2.07.08-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release fixes errors in generated files when %interactive
    scanners are generated, and updates the documentation to bisonc++'s new
    token-path option/directive.

  [ tony mancill ]
  * Revert unneeded FORCE_SOURCE_DATE=1 in debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Mar 2020 17:35:52 +0100

flexc++ (2.07.07-2) unstable; urgency=medium

  * Set FORCE_SOURCE_DATE=1 in debian/rules for reproducible builds
  * Bump Standards-Version to 4.5.0

 -- tony mancill <tmancill@debian.org>  Wed, 05 Feb 2020 06:35:27 -0800

flexc++ (2.07.07-1) unstable; urgency=medium

  * New upstream release added missing implementation of the
    ScannerBase::streamStack member function
  * Updated debian/control (standards: 4.4.1, added debhelper-compat and
    Rules-Requires-Root specifications
  * Removed now superfluous debian/compat

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 17 Jan 2020 22:29:12 +0100

flexc++ (2.07.06-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release uses a parser generated by bisonc++ V. 6.03.00

  [ tony mancill ]
  * Bump Standards-Version to 4.4.0
  * Update years in copyright
  * Use debhelper 12

 -- tony mancill <tmancill@debian.org>  Tue, 23 Jul 2019 21:25:38 -0700

flexc++ (2.07.05-1) unstable; urgency=low

  * New upstream release fixes a flaw in the user guide
  * New release depends on bobcat version 5

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 25 Apr 2019 09:08:50 +0200

flexc++ (2.07.04-1) unstable; urgency=low

  * New upstream release contains new flexc++.xref file and updated
    descriptions of pushStream and popStream in both the flexc++api man-page
    and the manual.
  * Added flexc++.xref to the debian documentation (dh_installdocs)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 21 Mar 2019 09:22:11 +0100

flexc++ (2.07.03-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release: updated some manual sections and other cosmetic
    changes. See the upstream changelog.
  * debian/rules specifies C++ std 2a.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 10 Nov 2018 12:36:35 +0100

flexc++ (2.07.02-1) unstable; urgency=medium

  * New upstream version
  * Upstream fixed missing semicolon behind [[fallthrough]] attributes in
    flexc++'s own but also in its generated code (cf. C++ standard 20, section
    10.6.5)
  * Upstream migration from Github to Gitlab
  * Updated debian/control accordingly
  * Added debian/watch

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 25 Jun 2018 13:53:17 +0200

flexc++ (2.07.00-1) unstable; urgency=medium

  * Upstream changed identifiers using double underscores to identifiers using
    single underscores, as double underscores are reserved for the language.

  * Namespace-based prefixes of include guards only use alpha-numeric and
    underscore characters (omitting colons).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 16 May 2018 08:32:56 +0200

flexc++ (2.06.04-2) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Drop unnecessary build-dep on g++-7
  * Bump Standards-Version to 4.1.4
  * Update build-dep on bobcat to address FTBFS with g++-8
    (Closes: #897749)

 -- tony mancill <tmancill@debian.org>  Mon, 07 May 2018 16:26:44 -0700

flexc++ (2.06.04-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release changes erroneously used .hh extensions by .ih
    extensions in the manual and man-pages.
  * New upstream version 2.06.04

  [ tony mancill ]
  * Add build dependency on g++-7

 -- tony mancill <tmancill@debian.org>  Sun, 11 Mar 2018 12:29:10 -0700

flexc++ (2.06.03-1) unstable; urgency=low

  * New upstream release uses C++-17 attributes and fixes a small bug in
    a debug statement

  * The debian/compat file now specifies 11

  * Standards-Version set to 4.1.3, versions of required construction programs
    were also updated

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 08 Mar 2018 13:17:05 +0100

flexc++ (2.06.02-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Fri, 23 Jun 2017 10:31:18 -0700

flexc++ (2.06.02-1) experimental; urgency=medium

  * New upstream release uses a parser generated by Bisonc++ 6.00.00, and
    activated the build script's 'strip' argument and '-P' option.

  * Removed the --std=c++14 option from debian/rules, as that's by now the
    default.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 18 May 2017 11:35:44 +0200

flexc++ (2.06.01-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * Somehow the timestamps of the upstream archive's scanner/lexer and
    scanner/lex.cc in the previous release were incorrect, resulting in the
    build process attempting to rebuild lex.cc using flexc++ (which at this
    point clearly doesn't exist).  The timestamps were fixed in this release.

  [ tony mancill ]
  * Use debhelper 10.

 -- tony mancill <tmancill@debian.org>  Sat, 04 Mar 2017 10:49:29 -0800

flexc++ (2.06.00-1) unstable; urgency=low

  * New upstream adds new directive (%startcondition-name), allowing users to
    specify a non-default name for the Scanner's start conditions.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 27 Feb 2017 12:39:06 +0100

flexc++ (2.05.00-1) unstable; urgency=low

  * New upstream adds new option (--own-parser), uses a parser generated by
    bisonc++ V.5.00.00, and fixes a bug in handling long options.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 13 Apr 2016 14:58:42 +0530

flexc++ (2.04.00-1) unstable; urgency=low

  * New upstream release fixes a peculiar bug: all (at least: most) previous
    releases never handled the lexical scanner's first character range
    (starting from \0 to the character having the lowest character value
    appearing in any rule outside of the first character range. See the
    upstream changelog for further details.

  * It turned out that a bugfix implemented on Mar 13th 2015 (release 2.02.00)
    re-introduced a problem with lookahead operators (which had been fixed in
    release 2.00.00). That bug could easily squashed (done in this release)

  * Inconsistencies found in the manual were removed, and several regression
    tests were added. This release successfully passes all old and new
    regression tests.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 06 Mar 2016 21:41:05 +0100

flexc++ (2.03.04-1) unstable; urgency=low

  * New upstream release fixes a memory leak in the generated scanner; build
    scripts adapted to icmake 8.00.04.

  * debian/control file updated accordingly.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 14 Dec 2015 15:45:29 +0100

flexc++ (2.03.03-1) unstable; urgency=low

  * Upstream fixed a flaw in the installation script, Upstream's 'build'
    script now supports -P to prevent the use of precompiled headers

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Oct 2015 12:21:13 +0200

flexc++ (2.03.02-1) unstable; urgency=low

  * New upstream release reimplements its (un)installation procedure,
    debian/rules adapted accordingly

  * Removed the get-orig-source target from debian/rules

  * Package depends on libbobcat4

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 02 Oct 2015 11:12:25 +0200

flexc++ (2.03.01-1) unstable; urgency=low

  * New upstream release speeds up compilation using precompiled headers, and
    simplifies the installation procedure

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 28 Sep 2015 20:34:32 +0200

flexc++ (2.03.00-1) unstable; urgency=low

  * New upstream release fixes bugs, supports initial 0-values for {x, y}
    interval expressions, and the 'build' script is extended with a 'build
    uninstall' command (see the upstream changelog for details).

  * Flexc++'s homepage has moved to https://fbb-git.github.io/flexcpp/.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 28 Aug 2015 09:54:03 +0200

flexc++ (2.02.00-3) unstable; urgency=medium

  * Rebuild against bobcat >= 3.25.02-3 for g++5 ABI transition.

 -- tony mancill <tmancill@debian.org>  Thu, 13 Aug 2015 07:43:57 -0700

flexc++ (2.02.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 01 May 2015 20:28:00 -0700

flexc++ (2.02.00-1) experimental; urgency=low

  * New upstream release fixes bugs caused by incomplete final lines in
    specification files.

  * Changed compiler flag --std=c++0x to --std=c++14 in debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Mar 2015 16:42:52 +0100

flexc++ (2.01.00-2) unstable; urgency=medium

  * Drop explicit versioned g++ build-dep.  (Closes: #751307)
  * Drop hardening-* build-deps.

 -- tony mancill <tmancill@debian.org>  Sun, 03 Aug 2014 10:08:44 -0700

flexc++ (2.01.00-1) unstable; urgency=low

  * New upstream release uses a new algorithm to determine non-viable rules.
    Also several cosmetic improvements were implemented: see upstream's
    changelog.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 15 Mar 2014 17:29:26 +0100

flexc++ (2.00.00-1) unstable; urgency=low

  * New upstream release completely changes the way look-ahead patterns are
    handled, adds support for raw string literals, fixes a bug, and offers a
    major documentation update. See upstream's changelog for an overview.

  * Updated versions in 'control'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 09 Feb 2014 13:46:26 +0100

flexc++ (1.08.00-1) unstable; urgency=low

  * New upstream release extends and reorganizes flexc++'s documentation
    and adds a member to the Scanner class which is called after a regular
    expression has been matched.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 28 Dec 2013 18:09:41 +0100

flexc++ (1.07.00-2) unstable; urgency=low

  * Export CXX during the build.  Together with the explicit dependency
    on g++4.8, this should address the FTBFS on architecures where the
    default g++ is <= 4.6.  (Closes: #699574)

 -- tony mancill <tmancill@debian.org>  Sun, 11 Aug 2013 16:52:15 -0700

flexc++ (1.07.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release removes --force-* options

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 11 Aug 2013 18:52:02 +0200

flexc++ (1.06.00-2) unstable; urgency=low

  * Update Vcs fields to be canonical.
  * Rename collab-maint git repository from flexc++ to flexcpp.
  * Switch g++ dependency to g++-4.8 to allow auto-builders to install
    the necessary compiler on architectures where g++ (>= 4:4.7) is not
    available.
  * Update debian/compat and debhelper dependency to 9.

 -- tony mancill <tmancill@debian.org>  Sat, 10 Aug 2013 22:40:17 -0700

flexc++ (1.06.00-1) unstable; urgency=low

  * New upstream release fixes a look-ahead operator bug and issues warnings
    for options when conflicting with files previously generated by flexc++.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Aug 2013 13:53:26 +0200

flexc++ (1.05.00-1) unstable; urgency=low

  * New upstream release disallows path-specifications for destination
    filenames

  * Removed git-build target from debian/rules

  * Removed explicit g++ compiler version specification (4.7) from
    debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 28 May 2013 18:44:01 +0200

flexc++ (1.04.00-2) unstable; urgency=low

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2013 20:15:39 -0700

flexc++ (1.04.00-1) experimental; urgency=low

  * New upstream release repairs several minor flaws
  * Adapted debian/rules to the project/{debian,src,build} directory structure
    used by git-bl

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 15 Mar 2013 14:29:33 +0100

flexc++ (1.03.01-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release catches std::exception exceptions instead of
    FBB::Errno exceptions and (1.03.00) returns 0 with --version or --help

  [ tony mancill ]
  * Update build-deps to g++-4.7.
  * Update d/control Vcs fields to point to repo on git.debian.org.

 -- tony mancill <tmancill@debian.org>  Fri, 25 Jan 2013 19:41:45 -0800

flexc++ (1.02.00-1) unstable; urgency=low

  * New upstream release allows blanks after mini-scanner specifications

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 25 Nov 2012 11:43:59 +0100

flexc++ (1.01.00-1) unstable; urgency=low

  * New upstream release removes the --interactive option, fixes a small bug
    in one of the skeleton files,  and offers updated documentation

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 05 Nov 2012 11:10:57 +0100

flexc++ (1.00.00-1) unstable; urgency=low

  * New upstream release fixes two small bugs and bumps to 1.00.00 after
    having been used for a year without any major problems.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 18 Sep 2012 05:22:24 +0200

flexc++ (0.98.01-1) unstable; urgency=low

  * Upstream build script recognizes CXX, CPPFLAGS, CXXFLAGS, LDFLAGS, and
    SKEL environment variables

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 22 Jul 2012 11:05:33 +0200

flexc++ (0.98.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release
    + adds the option to createa case-insensitive scanner
  * Build-depend on libbobcat-dev >= 3.00.02

 -- George Danchev <danchev@spnet.net>  Wed, 06 Jun 2012 09:19:03 +0200

flexc++ (0.97.20-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Apr 2012 16:34:20 +0200

flexc++ (0.97.00-1) unstable; urgency=low

  * New upstream release. See the upstream's changelog
  * Build dependency on bisonc++ removed.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 Apr 2012 13:56:04 +0200

flexc++ (0.96.00-1) unstable; urgency=low

  * New upstream release changes the interpretation of INITIAL to an inclusive
    mini scanner, as per the std. flex manual.
  * Build-Depends on bisonc++.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 29 Mar 2012 17:15:54 +0200

flexc++ (0.95.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release, removes erroneously added %max-depth directive.

  [ tony mancill ]
  * Set Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Tue, 28 Feb 2012 00:09:38 +0000

flexc++ (0.94.00-1) unstable; urgency=low

  * New upstream release, adds the --max-depth option and facilities for
    determining the number and names of nested specification files.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 23 Feb 2012 12:39:28 +0100

flexc++ (0.93.00-1) unstable; urgency=low

  * New upstream release, reimplements the interactive scanner

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Feb 2012 14:17:55 +0100

flexc++ (0.92.00-1) unstable; urgency=low

  * New upstream release, fixes several small issues, see the upstream
    changelog

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 17 Feb 2012 14:17:14 +0100

flexc++ (0.91.00-1) unstable; urgency=low

  * New upstream release, fixes segfault, version number and adds
    --target-directory option.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 11 Feb 2012 13:50:02 +0100

flexc++ (0.09.51-1) unstable; urgency=low

  * New upstream release rebases release.yo to flexc++'s main directory

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 06 Feb 2012 21:16:48 +0100

flexc++ (0.09.50-1) unstable; urgency=low

  * New upstream release, first version submitted to Debian

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 06 Feb 2012 17:05:52 +0100

flexc++ (0.09.32-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 05 Feb 2012 18:00:19 +0100

flexc++ (0.09.20-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 04 Feb 2012 16:09:20 +0100

flexc++ (0.09.10-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 03 Feb 2012 13:51:56 +0100

flexc++ (0.09.01-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 03 Feb 2012 11:34:03 +0100

flexc++ (0.09.00.06-1) unstable; urgency=low

  * New upstream release implements new grammar

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 30 Jan 2012 20:53:23 +0100

flexc++ (0.8.3-1) unstable; urgency=low

  * New upstream release fixes segfault detected by Jean-Paul van Oosten

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 Jan 2012 11:43:10 +0100

flexc++ (0.8.2-1) unstable; urgency=low

  * New upstream release adds new switchStream member, handling streams

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 30 Dec 2011 17:35:39 +0100

flexc++ (0.8.1-1) unstable; urgency=low

  * New upstream release repairs regex definition handling

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 29 Dec 2011 23:31:04 +0100

flexc++ (0.8.0-1) unstable; urgency=low

  * New upstream release completely rebuilt of flexc++

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 13 Jul 2011 21:52:56 +0200

flexc++ (0.7.1~pre-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 26 Mar 2010 16:31:28 +0100

flexc++ (0.7.0~pre-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 20 Mar 2010 17:58:49 +0100

flexc++ (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 19 Mar 2010 10:28:11 +0100

flexc++ (0.5.3~pre-2) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 16 Mar 2010 13:51:33 +0100

flexc++ (0.5.3~pre-1) unstable; urgency=low

  * New (intermediate) upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 09 Mar 2010 13:33:55 +0100

flexc++ (0.5.2~pre-1) unstable; urgency=low

  * New (intermediate) upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 05 Mar 2010 16:29:24 +0100

flexc++ (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 04 Mar 2010 11:46:07 +0100

flexc++ (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 17 Mar 2009 12:00:10 +0100

flexc++ (0.1.1) unstable; urgency=low

  * Control file adapted, new upstream reelase

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 Mar 2009 09:27:25 +0100

flexc++ (0.1.0) unstable; urgency=low

  * Initial creation of a Debian package

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Mar 2009 08:50:08 +0100

flexc++ (0.0.0) unstable; urgency=low

  * Definition of the flexc++ debian files

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 19 Apr 2008 15:29:47 +0200
